Gecode::Int::Event Class Reference

Time-tabling event for task. More...

`#include <task.hh>`

## Public Types

enum | Type { LRT = 0 , LCT = 1 , EST = 2 , ZRO = 3 , ERT = 4 , END = 5 }
| Event type for task with order in which they are processed. More...

## Public Member Functions

void | init (Type e, int t, int i)
| Initialize event.
Type | type (void) const
| Return event type.
int | time (void) const
| Return event time.
int | idx (void) const
| Return event index.
bool | operator< (const Event &e) const
| Order among events.

## Static Public Member Functions

template<class Task>
static Event * | events (Region &r, const TaskArray< Task > &t, bool &assigned)
| Allocate from r and initialize event array with tasks t.
template<class Task>
static Event * | events (Region &r, const TaskArray< Task > &t)
| Allocate from r and initialize event array with assigned tasks t only.

## Protected Attributes

unsigned int | ei
| Combines type and number of task.
int | t
| Time of event.

## Detailed Description

Time-tabling event for task.

Definition at line 490 of file task.hh.

## Member Enumeration Documentation

## Type

enum Gecode::Int::Event::Type

Event type for task with order in which they are processed.

Enumerator
LRT | Latest required time of task.
LCT | Latest completion time of task.
EST | Earliest start time of task.
ZRO | Zero-length task start time.
ERT | Earliest required time of task.
END | End marker.

Definition at line 493 of file task.hh.

## Member Function Documentation

## init()

void Gecode::Int::Event::init | ( | Event::Type | e0,
|  | int | t,
|  | int | i )

inline

Initialize event.

Definition at line 37 of file event.hpp.

## type()

Event::Type Gecode::Int::Event::type | ( | void |  | ) | const

inline

Return event type.

Definition at line 42 of file event.hpp.

## time()

int Gecode::Int::Event::time | ( | void |  | ) | const

inline

Return event time.

Definition at line 46 of file event.hpp.

## idx()

int Gecode::Int::Event::idx | ( | void |  | ) | const

inline

Return event index.

Definition at line 50 of file event.hpp.

## operator<()

bool Gecode::Int::Event::operator< | ( | const Event & | e | ) | const

inline

Order among events.

Definition at line 54 of file event.hpp.

## events() [1/2]

template<class Task>

Event * Gecode::Int::Event::events | ( | Region & | r,
|  | const TaskArray< Task > & | t,
|  | bool & | assigned )

inline static

Allocate from r and initialize event array with tasks t.

Definition at line 83 of file event.hpp.

## events() [2/2]

template<class Task>

Event * Gecode::Int::Event::events | ( | Region & | r,
|  | const TaskArray< Task > & | t )

inline static

Allocate from r and initialize event array with assigned tasks t only.

Definition at line 128 of file event.hpp.

## Member Data Documentation

## ei

unsigned int Gecode::Int::Event::ei

protected

Combines type and number of task.

Definition at line 503 of file task.hh.

## t

int Gecode::Int::Event::t

protected

Time of event.

Definition at line 505 of file task.hh.

The documentation for this class was generated from the following files:

- gecode/int/task.hh
- gecode/int/task/event.hpp